Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.utilities
Class NameValuePairSet

    java.lang.Object
      |
      +--oracle.apps.cz.utilities.NameValuePairSet

public class NameValuePairSet
extends java.lang.Object

Implements an object to hold a unique set of name value pairs

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Constructor Summary
`NameValuePairSet()`

Method Summary
`void` | `Add(oracle.apps.cz.utilities.NameValuePair nvp)` Add a name value pair object to the set
`void` | `Add(java.lang.String name, java.lang.Object value)` Create a NameValuePair and add it to the set using the name and object.
`java.lang.Object` | `getValueByName(java.lang.String name)` Gets value, which may be null, of the name/value pair identified by the "name" input.
`com.sun.java.util.collections.Iterator` | `iterator()` Returns the set of keys for the name value pairs
`oracle.apps.cz.utilities.NameValuePair` | `lookupPairByName(java.lang.String name)` Look up a name (key) in the set

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Constructor Detail

### NameValuePairSet

    public NameValuePairSet()

Method Detail

### iterator

    public com.sun.java.util.collections.Iterator iterator()

  Returns the set of keys for the name value pairs

### lookupPairByName

    public oracle.apps.cz.utilities.NameValuePair lookupPairByName(java.lang.String name)

  Look up a name (key) in the set
  Parameters:
    `name` - - The String to lookup
  Returns:
    The NameValuePair which can be null if the string is not in the set

### getValueByName

    public java.lang.Object getValueByName(java.lang.String name)

  Gets value, which may be null, of the name/value pair identified by the "name" input. Returns null if pair does not exist.
  Parameters:
    `name` - the name string by which to look up the value
  Returns:
    the value associated with name

### Add

    public void Add(oracle.apps.cz.utilities.NameValuePair nvp)

  Add a name value pair object to the set

### Add

    public void Add(java.lang.String name,
                    java.lang.Object value)

  Create a NameValuePair and add it to the set using the name and object.
  Parameters:
    `name` - - The String key of the pair. THe name will provide the hash identifier.
    `value` - - The value object which can be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.